class ConsumableRecordDataController < ApplicationController
  model_data_store(ConsumableRecordDatum,
                   {create: false, read: true, update: false, delete: false, index: true},
                   {create: false, read: true, update: false, delete: false, index: true})

  private
    # Only allow a list of trusted parameters through.
    def model_params
      params.require(:consumable_record_datum).permit(:name, :value, :consumable_record_id)
    end
end
