class AddCalibrationJob < ApplicationJob
  queue_as :default

  #TODO: DEPRECATE DELETE 2025

  ## WARNING DEPRECATED 2024/08/01 XBA
  # THIS FILE IS ONLY KEPT SO THAT EXISTING JOBS CAN BE SAFELY MIGRATED TO NEWER VERSIONS
  # INSTEAD USE MachineInterfaceJobs::AddCalibrationJob
  # !! THIS FILE WILL BE DELETED IN AN UPCOMING VERSION 2025 !!

  def perform(model_params, measurement_params, correction_params)
    ActiveRecord::Base.connection_pool.with_connection do
      machine = Machine.find_or_create_by(sn: model_params[:machine_sn])
      calibration = Calibration.new(model_params)
      calibration.calibration_measurements.build(measurement_params)
      calibration.calibration_corrections.build(correction_params)
      if calibration.save
        calibration.broadcast_machine_data(machine, async: false) # broadcast to other Rx-Modules
        calibration.forward # forward data to other external systems
      end
    end
  end
end
