class AddJobState < ApplicationJob
  include DataHelpers
  queue_as :high_priority

  #TODO: DEPRECATE DELETE 2025

  ## WARNING DEPRECATED 2024/08/01 XBA
  # THIS FILE IS ONLY KEPT SO THAT EXISTING JOBS CAN BE SAFELY MIGRATED TO NEWER VERSIONS
  # INSTEAD USE MachineInterfaceJobs::AddJobStateJob
  # !! THIS FILE WILL BE DELETED IN AN UPCOMING VERSION 2025 !!

  def perform(add_params)
    ActiveRecord::Base.connection_pool.with_connection do
      job_state = JobState.new(add_params)

      if job_state.save
        machine = Machine.find_by(id: job_state.machine_id)
        job_state.broadcast_machine_data(machine, async: false) # broadcast to other Rx-Modules
        job_state.forward # forward data to other external systems

        KpiJobStateJob.perform_later(job_state)
        AddBoxCoaterBatchFromJobStateJob.perform_later(job_state) if job_state.is_box_coater_event?
      end
    end
  end
end
