# == Schema Information
#
# Table name: job_settings
#
#  id                    :bigint           not null, primary key
#  auto_pair_job         :boolean          default(FALSE)
#  max_job_number_length :integer
#  created_at            :datetime         not null
#  updated_at            :datetime         not null
#
class JobSetting < ApplicationRecord
  class << self
    def instance
      first_or_create!(
        auto_pair_job: false,
        max_job_number_length: nil
      )
    end
  end
end
