class AddIncludeTimezoneInTimefieldToMachineDataPushTarget < ActiveRecord::Migration[6.1]
  def up
    add_column :machine_data_push_targets, :include_timezone_in_timefield, :boolean, :default => false
    execute("update machine_data_push_targets set include_timezone_in_timefield='false'")
  end

  def down
    remove_column :machine_data_push_targets, :include_timezone_in_timefield
  end
end
