class JobSettingsController < ApplicationController
  model_data_store(JobSetting,
                   {create: false, read: true, update: true, delete: false, index: false},
                   {create: false, read: true, update: true, delete: false, index: false})

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:job_setting).permit(:auto_pair_job, :max_job_number_length)
  end
end
