# -*- SkipSchemaAnnotations

module MachineTypes
  module BoxCoaters
    class Mc380X2 < BoxCoater
      class << self
        def display_name
          "MC-380-X-2"
        end

        def name
          "mc_380_x_2"
        end

        def image_name
          'mc_380_x_2.png'
        end

        def machine_manuals
          {
            operating: {
              en: { name: "MC_380_X_operation_EN"}
            }
          }
        end
      end
    end
  end
end

