module MachineTypes
  module Deblockers
    class Deblocker < MachineTypeTemplate
      class << self
        def seed_all
          ArtDeblockerA::seed
          ArtDeblockerA2::seed
          ArtDeblockerM::seed
        end

        def category
          'deblocker'
        end

        def machine_process
          MachineProcess.find_by(code: 'deblocking')
        end
      end
    end
  end
end

