module MachineTypes
  module Generators
    class Generator < MachineTypeTemplate
      class << self
        def seed_all
          VftOrbit::seed
          VftOrbit2::seed
          VftOrbit2e::seed
          VftMacro::seed
          VftMacroE::seed
        end

        def category
          'generator'
        end

        def machine_process
          MachineProcess.find_by(code: 'generating')
        end
      end
    end
  end
end

