# -*- SkipSchemaAnnotations

module MachineTypes
  module Generators
    class VftOrbit < Generator
      include AbortFilterMachineTypes::VftOrbit
      include MachineTypes::Generators::ConsumableData::VftConsumableData

      class << self
        def display_name
          "VFT-Orbit"
        end

        def name
          "vft_orbit"
        end

        def image_name
          "vft_orbit.png"
        end

        def abort_filters
          abort_filters_data
        end
      end
    end
  end
end

