class CreateMachineProcesses < ActiveRecord::Migration[6.1]
  def change
    create_table :machine_processes do |t|
      t.string :display_name
      t.string :code
      t.integer :rank
      t.boolean :system_default

      t.timestamps
    end

    add_reference :machines, :machine_process, foreign_key: true
    add_reference :machine_types, :machine_process, foreign_key: true
  end
end
